#include "settings.h"

Settings::Settings(){
    printer=Printer();
    #ifdef PWC_DEBUG
    debugmode=true;
    #else
    debugmode=false;
    #endif // PWC_DEBUG
}

Settings::Settings(Printer _printer, bool _debugmode){
    printer=_printer;
    debugmode=_debugmode;
}

Printer* Settings::getPrinter(){
    return &printer;
}

bool Settings::isDebug(){
    return debugmode;
}

bool Settings::setSettings(Printer _printer, bool _debugmode){
    printer=_printer;
    debugmode=_debugmode;
    return true;
}
